Bug 123009 - Impress: large presentation of 86 MB and 121 slides with images stops after 68 slides or so. Screen message: LibreOffice fatal error: could not create system bitmap
Summary: Impress: large presentation of 86 MB and 121 slides with images stops after 6...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL: https://bz.apache.org/ooo/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2019-01-28 10:04 UTC by Richard Ward
Modified: 2019-12-09 12:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Libre Office Impress file part 2 of 5 Bug 123009 (24.14 MB, application/vnd.oasis.opendocument.presentation)
2019-08-13 14:04 UTC, Richard Ward
Details
Libre Office Impress file part 3 of 5 Bug 123009 (24.26 MB, application/vnd.oasis.opendocument.presentation)
2019-08-13 14:35 UTC, Richard Ward
Details
Libre Office Impress file part 4 of 5 Bug 123009 (27.36 MB, application/vnd.oasis.opendocument.presentation)
2019-08-13 14:49 UTC, Richard Ward
Details
Libre Office Impress file part 5 of 5 Bug 123009 (20.22 MB, application/vnd.oasis.opendocument.presentation)
2019-08-13 15:16 UTC, Richard Ward
Details
Libre Office Impress file part 1 of 5 Bug 123009 (27.88 MB, application/vnd.oasis.opendocument.presentation)
2019-08-13 15:31 UTC, Richard Ward
Details
Crash Report Bug 123009 (38.31 KB, image/jpeg)
2019-08-14 12:54 UTC, Richard Ward
Details
Crash Report for Bug 123009 v2 (64.71 KB, application/vnd.oasis.opendocument.text)
2019-08-14 14:22 UTC, Richard Ward
Details
Bug 123009 16Aug 2019 report (1.83 MB, application/vnd.oasis.opendocument.text)
2019-08-16 21:57 UTC, Richard Ward
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Ward 2019-01-28 10:04:43 UTC
Description:
I created the presentation on 5.0.2  then migrated the presentation to 6.0.4 where I had colour graphics changes which i noted were solved in 6.0.7. Having corrected these faults I then used slide view to validate my work but after 20 minutes the presentation froze. then on mouse click Impress closed down. on restart document recovery sucessful but lost the most recent work despite the default autobackup in place. After reading the bug fixes in 6.0.7 and 6.1.4 I then installed 6.1.4 on my Window 8.1 operating system. I continued to work on the presentation (now saving on every change made), which is 121 slides (size 83Mb) with many text box movements, pictures fade in /out, text displayed word by word etc. Using slideview the first time after 90 slides the screen froze (in 6.0.4)and in 6.1.4 after 68 slides repeatable error. This also happens when using right click the file windows "show". To get round this I thought save the file change the attributes to read only so that the file can not be changed. Also stop autobackup (thinking this was the problem), then slideview the read only file, the same result screen froze. When R H click mouse Impress closed back to the Windows 8.1 front screen, after the LibreOffice message stated: "LibreOffice Fatal error: could not create system bitmap". Then on restart Document recovery (as read only dismissed) and reloaded the read only file: the fault is repeatable. At present the only way to prevent the Fatal error is to slideshow the file in blocks of slides (1-31;31-68;68-97;97-121)which works. But a little frustrating. The presentation I will be using screen capture to create a video. So to slideshow and screen capture in 4 segments is no problem as video editor can merge the presentation into one. Knowing the bug fatal error exists, I can work round but I put this bug to you, just in case others find or have found the same problem. Espectially, if the fatal error happens when presenting in the Boardroom to the Chair and Directors.
Also I updated Libre Office to 6.1.4 on my laptop running Windows 10 same fatal error. So not an isolated bug ( in my view).         
  

Actual Results:
Impress 121 slide presentation created, save, run slideshow from slide 1, show stops after 10-15 minutes (first time slide  90+ second time slide 68 repeatable)presentation freezes click mouse presentation closes. Restart Impress Document recovery disregarded corrected any last changes not saved. saved, closed impress, changed the file atribute to read only open impress ran slide show from slide 1, screen froze after 68 or so slides screen displayed fatal error (see above). though the read only file ok.  

Expected Results:
The presentation file was not corrupt but could carry on working 


Reproducible: Always


User Profile Reset: No



Additional Info:
create the presentation, run slide show from slide 1 and the show to run through to slide 121.
Comment 1 Xisco Faulí 2019-03-21 16:15:47 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 2 Richard Ward 2019-04-02 18:17:31 UTC
Thank you for your response.

The presentation I have created is file size 88Mb. This contains 120 pages of animation graphics, text, pictures. I have eventually created a screen shot video, which I had to play in sections then merge the recorded section to complete the video.

To do this I finalised the presentation then saved (with backups) then closed LibreOffice Impress I then made the files read only. Then reopened Impress then recorded slides 1 to 30, 30 to 68, 68 to 97 and 97 to the end.

The video I then added music  then I had the video posted You tube for all to view

https://www.youtube.com/watch?v=pYSmrRifoqE&t=90s

The video is of the English Civil War in the 17th century, in particular the Battle of Winwick Pass 19 August 1648.

From the video you can see the complexity of the presentation.


FYI

In the past I have actually present the presentation in 2015 in an earlier version where the presentation lasted over 2 hours with no problems. This was on a laptop using Windows 7 and an earlier version of LibreOffice impress file size 66MB.

As all the presentations are very large files it is difficult to send via email, as I do not know how to send large file over the internet.

Maybe you can advise how to send?


As you will see from the video, at the end I refer to part 2, which I am currently creating on Impress - though I know how to overcome the reported problem - others may not be so understanding - hence my reporting of the repeatable problem.

I have changed the NEEDINFO cell as I await your instructions.

Concerning sensitive information:

As the video is already in the public domain there is no sensitive information and as the information I refer to was written in the 17th century, I have assembled as a non commercial and not for profit educational history video.

Regards

Richard Ward
Comment 3 Buovjaga 2019-08-13 11:16:17 UTC
You can use a file hosting service such as https://gofile.io/?t=uploadFiles

We can then look at the presentation and see, if we can make it smaller than 30MB so we can attach it to this report.
Comment 4 Richard Ward 2019-08-13 14:04:58 UTC
Created attachment 153343 [details]
Libre Office Impress file part 2 of 5 Bug 123009

In response to Buovjaga advice on how to send the impress presentation on 13 Aug 2019 at 11:16
The presentation being 88.229Mb in size I tried to zip the file but still larger that 30Mb so I have made the original presentation into 5 smaller presentations as follows:

New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 1.odp
New Winwick Pass vidoe version 4 LO614 video set of 3 final Bug 123009 part 2.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 3.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 4.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 5.odp

The complete presentation is 122 slides in total.
So if a new presentation is created assembling the 5 in sequence Part 1 then Part 2 then part 3 then part 4 and finally part 5 then change properties to read only. Hopefully when the reassembled presentation slide-show is run from start from first. 

Hopefully the error will manifest itself for your investigation.

Due to the 30,000 KB limit, I will have to send the 5 files separately

On a side issue, I am currently, creating a presentation for part 2 of the Winwick Pass video and having upgraded to libra Office 6.2.4, when I ran the slide-show the presentation crashed.

This is part 1

Richard Ward
Comment 5 Richard Ward 2019-08-13 14:35:30 UTC
Created attachment 153344 [details]
Libre Office Impress file part 3 of 5 Bug 123009

In response to Buovjaga advice on how to send the impress presentation on 13 Aug 2019 at 11:16
The presentation being 88.229Mb in size I tried to zip the file but still larger that 30Mb so I have made the original presentation into 5 smaller presentations as follows:

New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 1.odp
New Winwick Pass vidoe version 4 LO614 video set of 3 final Bug 123009 part 2.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 3.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 4.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 5.odp

The complete presentation is 122 slides in total.
So if a new presentation is created assembling the 5 in sequence Part 1 then Part 2 then part 3 then part 4 and finally part 5 then change properties to read only. Hopefully when the reassembled presentation slide-show is run from start from first. 

Hopefully the error will manifest itself for your investigation.

Due to the 30,000 KB limit, I will have to send the 5 files separately

On a side issue, I am currently, creating a presentation for part 2 of the Winwick Pass video and having upgraded to libre Office 6.2.4, when I ran the slide-show the presentation crashed.

This is part 3

Richard Ward
Comment 6 Richard Ward 2019-08-13 14:49:30 UTC
Created attachment 153347 [details]
Libre Office Impress file part 4 of 5 Bug 123009

In response to Buovjaga advice on how to send the impress presentation on 13 Aug 2019 at 11:16
The presentation being 88.229Mb in size I tried to zip the file but still larger that 30Mb so I have made the original presentation into 5 smaller presentations as follows:

New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 1.odp
New Winwick Pass vidoe version 4 LO614 video set of 3 final Bug 123009 part 2.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 3.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 4.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 5.odp

The complete presentation is 122 slides in total.
So if a new presentation is created assembling the 5 in sequence Part 1 then Part 2 then part 3 then part 4 and finally part 5 then change properties to read only. Hopefully when the reassembled presentation slide-show is run from start from first. 

Hopefully the error will manifest itself for your investigation.

Due to the 30,000 KB limit, I will have to send the 5 files separately

On a side issue, I am currently, creating a presentation for part 2 of the Winwick Pass video and having upgraded to libre Office 6.2.4, when I ran the slide-show the presentation crashed.

This is part 4

Richard Ward
Comment 7 Richard Ward 2019-08-13 15:16:30 UTC
Created attachment 153351 [details]
Libre Office Impress file part 5 of 5 Bug 123009

In response to Buovjaga advice on how to send the impress presentation on 13 Aug 2019 at 11:16
The presentation being 88.229Mb in size I tried to zip the file but still larger that 30Mb so I have made the original presentation into 5 smaller presentations as follows:

New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 1.odp
New Winwick Pass vidoe version 4 LO614 video set of 3 final Bug 123009 part 2.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 3.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 4.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 5.odp

The complete presentation is 122 slides in total.
So if a new presentation is created assembling the 5 in sequence Part 1 then Part 2 then part 3 then part 4 and finally part 5 then change properties to read only. Hopefully when the reassembled presentation slide-show is run from start from first. 

Hopefully the error will manifest itself for your investigation.

Due to the 30,000 KB limit, I will have to send the 5 files separately

On a side issue, I am currently, creating a presentation for part 2 of the Winwick Pass video and having upgraded to libre Office 6.2.4, when I ran the slide-show the presentation crashed.

This is part 5

Addition: 
I checked the slide show on part 1 of 5  and I have noticed that in creating 5 separate presentation to be reassembled afterwards that the advance slide is set to “on mouse click”; The presentation MUST be on “Automatically after 8 seconds” and “Apply Transitions to All Slides”.
Though in the video I did vary the time depending upon how much content was on the slide.

Richard Ward
Comment 8 Richard Ward 2019-08-13 15:31:53 UTC
Created attachment 153352 [details]
Libre Office Impress file part 1 of 5 Bug 123009

In response to Buovjaga advice on how to send the impress presentation on 13 Aug 2019 at 11:16
The presentation being 88.229Mb in size I tried to zip the file but still larger that 30Mb so I have made the original presentation into 5 smaller presentations as follows:

New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 1.odp
New Winwick Pass vidoe version 4 LO614 video set of 3 final Bug 123009 part 2.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 3.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 4.odp
New Winwick Pass video version 4 LO614 video set of 3 final Bug 123009 part 5.odp

The complete presentation is 122 slides in total.
So if a new presentation is created assembling the 5 in sequence Part 1 then Part 2 then part 3 then part 4 and finally part 5 then change properties to read only. Hopefully when the reassembled presentation slide-show is run from start from first. 

Hopefully the error will manifest itself for your investigation.

Due to the 30,000 KB limit, I will have to send the 5 files separately

On a side issue, I am currently, creating a presentation for part 2 of the Winwick Pass video and having upgraded to libre Office 6.2.4, when I ran the slide-show the presentation crashed.

This is part 1

Addition: 
I checked the slide show on part 1 of 5  and I have noticed that in creating 5 separate presentation to be reassembled afterwards that the advance slide is set to “on mouse click”; 

The presentation MUST be on “Automatically after 8 seconds” and “Apply Transitions to All Slides”.

Though in the video I did vary the time depending upon how much content was on the slide.

Richard Ward
Comment 9 Buovjaga 2019-08-14 05:54:44 UTC
Thank you for the files. I copied and pasted the slides in order and re-formed the complete presentation. I was able to advance through all slides without problems.

Could you try this fresh master build to see, if it makes a difference (it installs separately: https://dev-builds.libreoffice.org/daily/master/Win-x86_64@62-TDF/2019-07-31_17.15.25/master~2019-07-31_17.15.25_LibreOfficeDev_6.4.0.0.alpha0_Win_x64_en-US_de_ar_ja_ru_vec_qtz.msi

If others want to test the full presentation: https://gofile.io/?c=Zdaofa

I tested with
Version: 6.4.0.0.alpha0+ (x64)
Build ID: ed882d693f37779e3a09641e7cd43b7a925d2312
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-25_00:58:18
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 10 Richard Ward 2019-08-14 12:54:41 UTC
Created attachment 153382 [details]
Crash Report Bug 123009

 Buovjaga,
While downloading 6.4 and the new Winwick Passfile I ran the slide show on the my original using LibreOffice 6.3.0.1(x64)I had forgotten when I creasted the video I placed move to next slide as click on mouse on slides 1, 31, 68 but as I let the show progress at slide 90 it stopped I clicked the mouse the show inserted all the animation then stopped the on click on mouse again slide 91 appeared with partial animation then LibreOffice closed with an error requesting if I want to send a crash report which I did. see attached. As LibreOffice open revovery of the file but as it was in read only cancelled recovery. I will now try your re-assembled and tested file.
Maybe the crash report on the LibreOffice system will give clues.

Regards
Richard Ward
Comment 11 Buovjaga 2019-08-14 14:15:48 UTC
Would also be very interesting, if you just uploaded your original to https://gofile.io/ and shared the link with us
Comment 12 Richard Ward 2019-08-14 14:22:34 UTC
Created attachment 153386 [details]
Crash Report for Bug 123009 v2

Buovjaga,
I have edited your version New_Winwick_Pass.odp as New_Winwick_Pass slide1 click all the rest auto inc 31, 68 97.odp. Then ran slide show on LibreOffice 6.3.0.1 (x64)crashed at slide 89. sent crash report see attached Crash report for Bug 123009 v2.odt

I will upgrade Libre Office to  your suggestion release 6.4 maybe a little longer for the for me to test the two presntations.



Regards
Richard Ward
Comment 13 Richard Ward 2019-08-14 17:18:10 UTC
Buovjaga,
I am currently uploading the original and the modified file you created where slide 1 is mouse click to continue slide 31, 68 and 97 have been changed to auto  with a 5 second delay.
I have loaded release LO6.4 and run the original: 
New Winwick Pass vidoe version 4 LO614 video set of 3  final extended slide1 mouse click- slides 31,68,97 -Auto 5 seconds.odp
Then run the slideshow - it stopped at slide 87 where LH mouse did nothing RH mouse LO closed no erro message but reloading LO the read only file required recovery.

Then tried your created file modified on LO6.4:
New_Winwick_Pass slide1 click all the rest auto inc 31, 68 97.odp
Ran the slide show it stopped at slide 17 LH mouse click added more animation on slide 17 then stoped RH mouse click LO closed.

You said in comment 11:
Would also be very interesting, if you just uploaded your original to https://gofile.io/ and shared the link with us.

Having just registered with gofile once the files have uploaded I will then have to work out the share link - I assume it will explain the procedure on how to share.

regards Richard Ward
Comment 14 Buovjaga 2019-08-14 17:34:19 UTC
(In reply to Richard Ward from comment #13)
> Having just registered with gofile once the files have uploaded I will then
> have to work out the share link - I assume it will explain the procedure on
> how to share.

Hmm, gofile did not require me to register. After uploading you will be offered the link to copy & paste.
Comment 15 Richard Ward 2019-08-14 20:01:47 UTC
Buovjaga,
I have uploaded the two files

New Winwick Pass vidoe version 4 LO614 video set of 3  final extended slide1 mouse click- slides 31,68,97 -Auto 5 seconds.odp

New_Winwick_Pass slide1 click all the rest auto inc 31, 68 97.odp 

to gofile at the download link as follows:

https://gofile.io/?c=dEdFPZ

Regards
Richard Ward
Comment 16 Buovjaga 2019-08-16 07:54:16 UTC
(In reply to Richard Ward from comment #15)
> to gofile at the download link as follows:
> 
> https://gofile.io/?c=dEdFPZ

It says: This upload does not exist
Comment 17 Richard Ward 2019-08-16 11:54:28 UTC
Buovjaga.

Re Comment 16: The previous download file link, not sure what went on with that upload, I got confirmation of a successful upload?

I have re uploaded this time separately again (eventually) and confirmed they are shown in the uploaded files for

1. File: New Winwick Pass video version 4 LO614 video set of 3  final extended slide1 mouse click- slides 31,68,97 -Auto 5 seconds.odp

I have had to renamed as not recognised as an ‘odp’ file type I think due to the name being too long (possible reason for no file found previously) and I have changed the name to:

OriginalWinwickPassvideov4LO614videosetof3finalslide1click-slides31,68,97-Auto5s.odp

and can be downloaded at:

https://gofile.io/?c=7Y3IvD

2. File: New_Winwick_Pass slide1 click all the rest auto inc 31, 68 97.odp 

(your version you sent to me edited) and can be downloaded at:

https://gofile.io/?c=wk09wk

Regards
Richard Ward
Comment 18 Buovjaga 2019-08-16 17:03:08 UTC
(In reply to Richard Ward from comment #17)
> I have had to renamed as not recognised as an ‘odp’ file type I think due to
> the name being too long (possible reason for no file found previously) and I
> have changed the name to:
> 
> OriginalWinwickPassvideov4LO614videosetof3finalslide1click-slides31,68,97-
> Auto5s.odp
> 
> and can be downloaded at:
> 
> https://gofile.io/?c=7Y3IvD

I am able to advance through the presentation without issues.

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: b9a776837462eeb6d50d0decc42604c0c3008eb1
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 11 August 2019
Comment 19 Richard Ward 2019-08-16 21:57:15 UTC
Created attachment 153448 [details]
Bug 123009 16Aug 2019 report

Buovjaga.
In reply to Comment 18.
I ran the presentation in read only mode again first on LO6.3 on Windows 8.1 platform The presentation crashed I created a report and sent See attachement for details.
Then I ran the presentation in read only mode on LO6.4 on Windows 8.1 platform tit stopped at slide 92 then numerous LH mouse clicks progressed  to slide 95 where the LH mouse did nothing - RH click dropout of LibreOffice to the Windows main screen Reload LO6.4 document recovery required even though in read only mode.
see attached report.
regards
Richard
Comment 20 Timur 2019-12-06 19:50:24 UTC
This stays unconfirmed because it's very hard to follow all parts. 
Richard, please:
1. find a way to upload full trouble file to some hosting service, including Goofle Drive or whatever
2. clarify if some of those parts 1-5 stops if you, let's say, make a loop presentation

I see that error happens also in Writer and Calc:
https://ask.libreoffice.org/en/question/142210/could-not-create-system-bitmap/
https://ask.libreoffice.org/en/question/61590/comsunstarunoruntimeexception-could-not-create-system-bitmap/
Comment 21 Richard Ward 2019-12-08 21:27:51 UTC
Timur,
I have uploaded the Libre Office Presentation file using gofile. 
The download link is: https://gofile.io/?c=oGc9eG

The File name is:
New Winwick Pass vidoe version 4 LO614 video set of 3  final extended slide 87 mouse click removed at slide 1,31,68.odp
size: 90MB

Hope you can repeat the error as originally reported as it still happens using either 6.3.01 and the beta copy of:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: b9b7df5f558eb79533622df5f3390f79a1e5aa79

Richard Ward
Comment 22 Timur 2019-12-09 12:01:56 UTC
I reproduced in low-end Win 8.1 laptop LO 6.5+ by running manually very fast.
hat's not a proper way for someone to test. But let's confirm, and not to expect a quick fix. 
Richard, it would be better to let automatic slide show, with reasonable durations, and confirm that it also stops.